/* BLOCK: Logo Tickers */

.block-logo-tickers .wrap {
    position: relative;
}

.block-logo-tickers .gbwp-ticker {
    isolation: isolate;
}

.block-logo-tickers .gbwp-ticker:not(:last-child) {
    margin-bottom: 1.25rem;
}

.block-logo-tickers .gbwp-ticker::before,
.block-logo-tickers .gbwp-ticker::after {
    position: absolute;
    top: 0;
    content: '';
    width: 6.6875rem;
    height: 100%;
    z-index: 1;
    pointer-events: none;
}

.block-logo-tickers .gbwp-ticker::before {
    left: 0;
    background: linear-gradient(
        to right,
        var(--theme-clr-bg),
        transparent
    );
}

.block-logo-tickers .gbwp-ticker::after {
    right: 0;
    background: linear-gradient(
        to left,
        var(--theme-clr-bg),
        transparent
      );
}

.block-logo-tickers .text-content {
    text-align: center;
    margin-bottom: 4.6875rem;
}

.block-logo-tickers .logo-wrapper {
    background-color: var(--c-bg-light-tint-1);
    border-radius: 1.5625rem;
    padding: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 11 / 7;
    height: 8.75rem;
}

.block-logo-tickers .gbwp-ticker__items {
    gap: 1.25rem;
    align-items: stretch;
}

.block-logo-tickers .logo-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media screen and (width <= 620px) {
    .block-logo-tickers .text-content {
        margin-bottom: 2.5rem;
    }

    .block-logo-tickers .logo-wrapper {
        padding: 1.5625rem 1.5rem;
        border-radius: 0.9375rem;
        height: 5.25rem;
    }

    .block-logo-tickers .gbwp-ticker {
        margin-inline: calc(-1 * var(--offset, 0px));
    }

    .block-logo-tickers .gbwp-ticker:not(:last-child) {
        margin-bottom: 0.75rem;
    }

    .block-logo-tickers .gbwp-ticker::before,
    .block-logo-tickers .gbwp-ticker::after {
        width: 4.0625rem;
    }

    .block-logo-tickers .gbwp-ticker__items {
        gap: 0.75rem;
    }
    
}
